[Mageia-sysadm] [300] - add the generic hook

root at mageia.org root at mageia.org
Fri Nov 19 01:24:16 CET 2010


Revision: 300
Author:   misc
Date:     2010-11-19 01:24:16 +0100 (Fri, 19 Nov 2010)
Log Message:
-----------
- add the generic hook

Added Paths:
-----------
    puppet/modules/subversion/templates/
    puppet/modules/subversion/templates/hook_commit.sh

Added: puppet/modules/subversion/templates/hook_commit.sh
===================================================================
--- puppet/modules/subversion/templates/hook_commit.sh	                        (rev 0)
+++ puppet/modules/subversion/templates/hook_commit.sh	2010-11-19 00:24:16 UTC (rev 300)
@@ -0,0 +1,13 @@
+#!/bin/sh
+for script in $0.d/*; do
+    if [ ! -x "$script" ]; then
+        continue
+    fi
+
+    if [[ "$script" == *~ ]]; then
+        continue
+    fi
+
+    $script $@ || exit 1
+done
+
-------------- next part --------------
An HTML attachment was scrubbed...
URL: </pipermail/mageia-sysadm/attachments/20101119/84c834af/attachment.html>


More information about the Mageia-sysadm mailing list